/*MAIN SETTINGS*/

html,body {
	margin:0;
	padding:0;
	font: 100% 'Roboto', sans-serif !important;
	color: #000 !important;
	background-color:#fff;
	font-size: 18px !important;
}

#main-container {
	min-height:100%;
	position: absolute;
	width: 100%;
	background-color: #ebebeb;
}

#body-container .container{
	position:relative;
	margin:0 auto;
	width:1280px;
	overflow:hidden;
	padding:120px 30px 74px;
	transition: all 0.2s ease;
	max-width: none !important;
}

@media only screen and (max-width: 1280px) {
	#body-container .container{
		width:100%;
	}
}

@media only screen and (max-width: 960px) {
	#body-container .container{
		padding:100px 20px 45px;
		transition: 0.3s ease;
		font-size: 0.85em !important;
	}
}


/* GENERAL SETTINGS */
*, *::before, *::after {
	box-sizing: border-box;
}

a {
	text-decoration:none !important;
	outline:none;
}

img {
	border:0;
}

p {
	padding:0;
	margin:0 0 20px 0;
}

hr {
	border: 0 none !important;
	border-bottom: solid 1px #ccc !important;
	margin-bottom: 20px !important;
}

h1, h2, h3, h4, h5, h6 {
	margin: 0 0 20px;
	font-weight: 700 !important;
	line-height: 1.2em;
}

h1 {
	font-size: 1.6em !important;
}

h2 {
	font-size: 1.2em !important;
	color: #999 !important;
}

.evidence-txt {
	color: #35a8e0;
	font-style: italic;
	font-weight: bolder;
}

/* INPUTS AND BUTTONS */
input {
	border: 0;
	font-size: 1.1em;
	font-weight: 300;
	letter-spacing: 0.05em;
	color: #000;
	outline: none;
	height: 50px;
	line-height: 50px;
	-webkit-border-radius: 25px;
	-moz-border-radius: 25px;
	border-radius: 25px;
	background: #fff;
	padding: 0 20px;
	font-family: 'Roboto', sans-serif;
}

input::placeholder {
	opacity:0.5;
}

textarea {
	display:block;
	width: 100%;
	font-family: 'Roboto', sans-serif;
	padding: 20px;
	margin-bottom: 40px;
	border: solid 1px #064870;
	min-height: 140px;
	font-size: 0.9em;
	color: #064870;
	outline: none;
}

textarea::placeholder {
	color: #999;
}

select {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	background-image: url(../img/icon-arrow-blue-down.svg);
	background-repeat: no-repeat;
	background-position: right center;
	color: #064870;
	border: 0 none;
	height: 50px;
	line-height: 50px;
	font-size: 1.0em;
	padding-right: 25px;
	margin: 0 15px;
	outline: none;
}

select:hover {
	opacity:0.8;
}

select option {
	border: solid 1px #064870;
}

select option::after {
	background-color: #064870;
	color:#fff;
}

.checkbox-style {
	-webkit-appearance: none;
	appearance: none;
	width: 18px !important;
	height: 18px !important;
	cursor: pointer;
	vertical-align:middle;
	background-color: #ccc !important;
	background-repeat: no-repeat;
	background-position: center;
	padding: 0 !important;
	outline: none;
	margin:0 10px 0 0 !important;
	-webkit-border-radius: 2px;
	-moz-border-radius: 2px;
	border-radius: 2px;
}

.checkbox-style:checked {
	background-image: url(../img/icon-checkbox-checked.svg);
}

.alert {
	display: block;
	color: #fff;
	padding: 20px 20px 20px 68px;
	background-position: 20px center;
	background-size: 28px 28px;
	background-repeat: no-repeat;
	text-align: left;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
}

.alert.error {
	background-image: url(../img/icon-alert-error.svg);
	background-color: #F35844;
}

.alert.valid {
	background-image: url(../img/icon-alert-valid.svg);
	background-color: #00AEA8;
}

.button {
	background-color: #35a8e0;
	color: #fff;
	text-transform: uppercase;
	padding: 0 30px;
	font-size: 1.0em;
	font-weight: 100;
	letter-spacing: 0.15em;
	height: 50px;
	line-height: 50px;
	display: inline-block;
	margin-bottom: 40px;
	transition:all 0.2s ease;
	-webkit-border-radius: 25px;
	-moz-border-radius: 25px;
	border-radius: 25px;
	outline: none;
}

.button:hover {
	background-color: #86cbec;
	color: #fff !important;
}

/* Credits */
#main-container.credits {
	color: #fff;
	background-color:#333;
	padding-bottom: 80px;
	transition:height 0.3s ease;
	display: flex;
	justify-content: center;
	align-items: center;
}

#main-container.credits footer .signature.white {
	display: inline-block;
}

#main-container.credits footer .signature.blue {
	display: none;
}

.credits .credit-box {
	width: 800px;
	text-align: center;
}

.credits .credit-box .credit-img {
	height: 36px;
	margin-bottom: 40px;
	transition: 0.3s ease;
	margin-top: 40px;
}

.credits .credit-box h1 {
	margin-bottom: 10px;
	color:#35a8e0;
	font-size: 1.4em;
}

.credits .credit-box h2 {
	/*color:#F08F0F;*/
	font-weight: 300;
	font-size: 1.2em;
	margin-bottom: 40px;
}

.credits .credit-box p {
	font-size: 0.9em;
	text-align: left;
}

.credits .credit-box ul {
	font-size: 0.9em;
	text-align: left;
}

.credits .credit-box a {
	font-weight: bold;
	color: #fff;
}

.credits .credit-box a:hover {
	opacity: 0.8;
}

.credits .credit-box hr {
	border: 0 none;
	border-bottom: solid 1px #fff;
	margin-bottom: 40px;
}

@media only screen and (max-width: 960px) {
	.credits .credit-box {
		width: 100%;
		margin: 0 30px;
	}

	.credits .credit-box .credit-img {
		height: 24px;
	}
}

/* ---------------------- FOOTER ---------------------- */
footer {
	position:absolute;
	bottom: 0;
	width: 100%;
	text-align: center;
}

footer .signature {
	display: inline-block;
	margin-bottom: 30px;
	height: 14px;
	transition: 0.3s ease;
}

footer .signature.white {
	display: none;
}

footer .signature:hover {
	opacity:0.8;
}



@media only screen and (max-width: 960px) {
	footer .signature {
		margin-bottom: 20px;
	}
}

/* ---------------------- HEADER ---------------------- */
header {
	position: fixed;
	top: 0;
	width: 100%;
	padding: 0 30px;
	background-color: rgba(255,255,255,1.0);
	z-index: 100;
	transition: 0.3s ease;
	height: 80px;
}

header .head-container {
	position: relative;
	display: inline-block;
	width: 100%;
	height: 100%;
	/*border-bottom: solid 1px #ccc;*/
	background-color: rgba(255,255,255,1.0);
}

header .head-logo {
	max-height: 40px;
	height: 40px;
	transition: 0.3s ease;
	display: block;
}

header .head-logo:hover {
	opacity:0.7;
}

header .logo-container {
	float: left;
	display: flex;
	align-items: center;
	height: 100%;
}

header .logout {
	float: right;
	display: flex;
	align-items: center;
	height: 100%;
	color: #999;
	text-transform: uppercase;
	font-size: 0.85em;
}

header .logout:hover {
	color: #ccc;
}

.sticky {
	max-height: 60px !important;
	height:60px;
	transition: 0.3s ease;
}

.sticky .head-logo {
	max-height: 40px;
	transition: 0.3s ease;
}

@media only screen and (max-width: 960px) {
	header {
		height:60px;
		padding: 0 20px;
	}

	header .head-logo {
		/*max-height: 40px;*/
		height:110px
		margin: 12px 0;
		max-width: 100px;
	}
}


/* ---------------------- LOGIN ---------------------- */

#main-container.login {
	color: #fff;
	background-color:#333;
	padding-bottom: 80px;
	transition:height 0.3s ease;
	display: flex;
	justify-content: center;
	align-items: center;
}

#main-container.login footer .signature.white {
	display: inline-block;
}

#main-container.login footer .signature.blue {
	display: none;
}

.login .login-box {
	width: 400px;
	text-align: center;
	animation: entrata 1.5s ease;
}

@keyframes entrata {
	0% {
		opacity:0;
	}
	100% {
		opacity:1;
	}
}

.login .login-box .splash-img{
	height: 110px;
	opacity: 0;
	animation: dissolvenza 4s;
	animation-iteration-count: 1;
}

@keyframes dissolvenza {
	0% {
		opacity:0;
	}
	40% {
		opacity:1;
	}
	80% {
		opacity:1;
	}
	100% {
		opacity:0;
	}
}

.login .login-box .login-img{
	height: 28px;
	margin-bottom: 60px;
	transition: 0.3s ease;
	margin-top: 20px;
}

.login .login-box .recupero{
	height: 36px;
	display: block;
	transition: 0.3s ease;
	margin: 0 auto 10px;
}

.login .login-box .loading {
	height: 36px;
	display: block;
	transition: 0.2s ease;
	margin: 0 auto 10px;
	-webkit-animation: rotating 1.5s linear infinite;
	-moz-animation: rotating 1.5s linear infinite;
	-ms-animation: rotating 1.5s linear infinite;
	-o-animation: rotating 1.5s linear infinite;
	animation: rotating 1.5s linear infinite;
}

@-webkit-keyframes rotating /* Safari and Chrome */ {
	from {
		-webkit-transform: rotate(0deg);
		-o-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	to {
		-webkit-transform: rotate(360deg);
		-o-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}
@keyframes rotating {
	from {
		-ms-transform: rotate(0deg);
		-moz-transform: rotate(0deg);
		-webkit-transform: rotate(0deg);
		-o-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	to {
		-ms-transform: rotate(360deg);
		-moz-transform: rotate(360deg);
		-webkit-transform: rotate(360deg);
		-o-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}

.login .login-box h1 {
	font-size: 1.4em;
	color: #35a8e0;
	margin-bottom: 5px;
}

.login .login-box h1.alone {
	margin-bottom: 40px;
}

.login .login-box h2 {
	font-weight: 400;
	font-size: 1.2em;
	margin-bottom: 40px;
}

.login .login-box input{
	width: 100%;
	display: block;
	margin-bottom: 20px;
	background-color: rgba(255, 255, 255, 0.1);
	color: rgba(255, 255, 255, 1.0);
	text-align: center;
}

.login .login-box input::placeholder{
	color: rgba(255, 255, 255, 0.6);
}

.login .login-box .actions-box {
	display:inline-block;
	width: 100%;
	align-content: center;
	margin-top: 20px;
}

.login .login-box .actions-box.jtf-center {
	justify-content: center;
}

.login .login-box .actions-box .half {
	float: left;
	width: 50%;
	transition: 0.3s ease;
}

.login .login-box .actions-box .half.links {
	color:#999;
	font-size: 0.9em;
	text-align: left;
}

.login .login-box .actions-box .half.links a {
	color:#999;
}

.login .login-box .actions-box .half.links a:hover {
	color:#ddd;
}

.login .login-box .actions-box .input-box {
	display: flex;
	align-items: center;
	margin-bottom: 8px;
}

.login .login-box .actions-box .input-box label {
	display: block;
}

.login .login-box .button {
	display: inline-block;
}

.login .login-box .button:hover {
	-webkit-box-shadow: 0px 0px 10px 0px #35a8e0;
	-moz-box-shadow: 0px 0px 10px 0px #35a8e0;
	box-shadow: 0px 0px 10px 0px #35a8e0;
}


@media only screen and (max-width: 960px) {
	.login .login-box .login-img{
		height: 20px;
		margin-bottom: 60px;
	}

	.login .login-box h1 {
		font-size: 1.3em;
	}

	.login .login-box h2 {
		font-size: 1.1em;
	}
}

@media only screen and (max-width: 480px) {
	.login .login-box {
		width: 100%;
		padding: 30px;
	}

	.login .login-box .actions-box {
		display:inline-block;
	}

	.login .login-box .actions-box .half {
		width: 100%;
	}

	.login .login-box .actions-box .half.links {
		text-align: center;
		margin-bottom: 40px;
	}

	.login .login-box .actions-box .input-box {
		justify-content: center;
	}
}

/* CORSI */
.main-title {
	display: flex;
	width: 100%;
	text-align: center;
	align-items: center;
}

.main-title .back-arrow {
	background-image: url(../img/icon-arrow-left.svg);
	background-position: center;
	background-repeat: no-repeat;
	background-size: 28px;
	width: 28px;
	height: 48px;
	display: inline-block;
}

.main-title .back-arrow:hover {
	opacity: 0.5;
}

.info-top {
	display: flex;
	width: 100%;
	margin-bottom: 20px;
	align-items: center;
	justify-content: space-between;
}

.info-top h2, .info-top h1 {
	margin-bottom: 0;
	flex: 1 0;
	text-align: left !important;
}

.info-top .button {
	align-items: flex-end;
	margin-bottom: 0;
	display: flex;
}

.info-top .back-arrow {
	flex: none;
}

.corsi-lista {
	padding: 0;
	list-style: none;
}

.corsi-lista li {
	background-color: #fff;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	border-radius: 5px;
	margin-bottom: 10px;
	transition: all 0.2s ease;
}

.corsi-lista li:last-child {
	margin-bottom: 0;
}

.corsi-lista a {
	display: flex;
	width: 100%;
	padding: 20px;
	color: #000;
	align-items: center;
	position: relative;
}

.corsi-lista a:hover {
	opacity: 0.6;
	color: #000;
}

.corsi-lista .icon-corsi {
	float: left;
	width: 28px;
	opacity: 0.3;
	margin-right: 10px;
	transition: all 0.2s ease;
}

.corsi-lista .text-corso {
	display: inline-block;
	border-left: solid 1px #ccc;
	padding-left: 10px;
	width: 100%;
}

.corsi-lista .text-corso span {
	display:block;
}

.corsi-lista .text-corso .corso-nome {
	font-size: 1.2em;
	font-weight: bold;
}

.corsi-lista .text-corso .corso-edizione {
	color: #35a8e0;
	font-style: italic;
}

.corsi-lista .text-corso .corso-time {
	font-size: 0.8em;
}

.corsi-lista .text-corso .corso-text {
	font-size: 0.8em;
	color: #666;
}

.corsi-lista .text-corso hr {
	margin:10px 0;
	border-bottom-style: dashed;
}

.corsi-lista .live {
	position:absolute;
	top: 0px;
	right: 10px;
	background-color: #35a8e0;
	color: #fff;
	text-transform: uppercase;
	padding: 0 8px;
	line-height: 20px;
	font-size: 0.65em;
	letter-spacing: 0.02em;
	-webkit-border-bottom-right-radius: 3px;
	-webkit-border-bottom-left-radius: 3px;
	-moz-border-radius-bottomright: 3px;
	-moz-border-radius-bottomleft: 3px;
	border-bottom-right-radius: 3px;
	border-bottom-left-radius: 3px;
	transition: all 0.2s ease;
}

@media only screen and (max-width: 480px) {
	.corsi-lista a {
		padding: 15px 10px;
	}

	.corsi-lista .icon-corsi {
		width: 18px;
	}

	.corsi-lista .live {
		line-height: 15px;
	}
}

/* VIDEO LEZIONE */
.video-lezione {
	width: 100%;
	overflow: hidden;
	display: block;
	position: relative;
}

.video-lezione .box-video {
	float: left;
	width: 640px;
	transition: 0.2s ease;
}

.video-lezione .box-video {
	margin-bottom: 20px;
}

.video-lezione .box-video .main-title {
	font-size: 1.2em !important;
}

.video-lezione .box-tab {
	float: right;
	width: 540px;
	transition: 0.2s ease;
}

@media only screen and (max-width: 1280px) {
	.video-lezione .box-video {
		margin: 0 0 20px;
		width: 55%;
	}

	.video-lezione .box-tab {
		margin: 0 0 20px;
		width: 42%;
	}
}

@media only screen and (max-width: 820px) {
	.video-lezione .box-video, .video-lezione .box-tab {
		margin: 0 0 20px;
		width: 100%;
	}
}

.box-tab .nav a {
	color:#999 !important;
	transition: all 0.2s ease;
}

.box-tab .nav a:hover {
	color:#bbb !important;
}

.box-tab .nav a.active  {
	color:#999 !important;
	font-weight: 600;
}

.box-video .video-container {
	display:block;
	position: relative;
}

.box-video .video-container .container-mask{
	position: absolute;
	top:0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 100;
	
}

.box-video .video-container iframe,
.box-video .video-container object,
.box-video .video-container embed {
	height: 450px;
	left: 0;
	position: relative;
	top: 0;
	width: 100%;
}

@media only screen and (max-width: 1080px) {
	.box-video .video-container iframe,
	.box-video .video-container object,
	.box-video .video-container embed {
		height: 350px;
	}
}

@media only screen and (max-width: 768px) {
	.box-video .video-container iframe,
	.box-video .video-container object,
	.box-video .video-container embed {
		height: 250px;
	}
}

.box-submission {
	display: inline-block;
	width: 100%;
	margin-bottom: 20px;
}

.box-submission .submit-container {
	width: 100%;
	display: flex;
	justify-content: space-between;
}

.box-submission .submit-container .submit-input {
	width: auto;
	flex: 1 0;
	margin: 0 10px 0 0;
}

.box-submission .submit-container .button.send {
	flex: none;
	align-items: flex-end;
	background-image: url(../img/icon-send.svg);
	background-repeat: no-repeat;
	background-position: center;
	background-size: 24px;
	padding: 0;
	width: 50px;
	margin-bottom: 0;
}

.box-tab .nav {
	margin-bottom: 20px;
	border-bottom: solid 1px #ccc;
}

.tab-chat {

}

.chat-info {
	display: block;
	width: 100%;
	color: #999;
	font-style: italic;
	text-align: center;
	font-size: 0.8em;
	margin-bottom: 20px;
}

.chat-box {
	display: block;
	width: 100%;
	margin-bottom: 10px;
	padding: 0 10px;
	border-top-left-radius: 0;
	/*	animation: fadeIn ease 0.5s;
	-webkit-animation: fadeIn ease 0.5s;
	-moz-animation: fadeIn ease 0.5s;
	-o-animation: fadeIn ease 0.5s;
	-ms-animation: fadeIn ease 0.5s;*/
}

@keyframes fadeIn {
	0% {
		opacity:0;
		margin-top: -10px;
	}

	100% {
		opacity:1;
		margin-top: 0;
	}
}

.chat-box .chat-name {
	font-size: 0.75em;
	color: #999;
	font-style: italic;
	display: block;
	width: 100%;
	margin-bottom: 3px;
}

.chat-box .chat-message {
	position: relative;
	padding: 10px 15px;
	display: block;
	width: 100%;
	font-size: 0.85em;
	background-color: #fff;
	-webkit-border-radius: 8px;
	-webkit-border-top-left-radius: 0;
	-moz-border-radius: 8px;
	-moz-border-radius-topleft: 0;
	border-radius: 8px;
	border-top-left-radius: 0;
}

.chat-box.guest .chat-name {
	text-align: right;
}

.chat-box.guest .chat-message {
	color: #fff;
	background-color:#35a8e0;
	-webkit-border-radius: 8px;
	-webkit-border-top-right-radius: 0;
	-moz-border-radius: 8px;
	-moz-border-radius-topright: 0;
	border-radius: 8px;
	border-top-right-radius: 0;
}

.chat-box.guest .chat-message a {
	color:#fff;
}

.chat-box .chat-message .chat-arrow {
	position: absolute;
	top: 0;
	left: -10px;
	width: 10px;
	height: 10px;
	background-color: #fff;
	-webkit-clip-path: polygon(100% 0, 0 0, 100% 100%);
	clip-path: polygon(100% 0, 0 0, 100% 100%);
}

.chat-box.guest .chat-message .chat-arrow {
	right: -10px;
	left: auto;
	background-color: #35a8e0;
	-webkit-clip-path: polygon(100% 0, 0 0, 0 100%);
	clip-path: polygon(100% 0, 0 0, 0 100%);
}

.chat-box .chat-message p {
	margin-bottom: 0;
}

.chat-box .chat-message a {
	color: #000;
	font-weight: bold;
}

.chat-box .chat-message a:hover {
	color: #000;
	opacity: 0.8;
}

.tab-studenti ul {
	list-style: none;
	padding: 0;
	margin: 0;
}

.tab-studenti ul li {
	background-color: #ddd;
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	border-radius: 8px;
	padding: 10px;
	margin-bottom: 3px;
	font-size: 0.9em;
	text-align: center;
	animation: fadeIn ease 0.5s;
}
